Index: doc/index.html.in
===================================================================
--- doc/index.html.in	(revision 6449498bc7dea93900d6980a66af64c9116ef597)
+++ doc/index.html.in	(revision 38ad16305474b8d2c335bde061a818eefdc1a14a)
@@ -164,5 +164,5 @@
 
 
-<LI>CPU Supplements
+<LI>CPU Supplements for Primary Ports
 
   <MENU>
@@ -174,15 +174,15 @@
                     <IMG SRC="images/dvi.gif" HEIGHT=18 WIDTH=16></A>
             <A HREF="HELP.html">
-               RTEMS AMD 29K Applications Supplement</A>
-            </LI>
-
-        <LI><A HREF="HELP.html">
-                    <IMG SRC="images/pdf1.gif" HEIGHT=18 WIDTH=16></A>
-            <A HREF="HELP.html">
-                    <IMG SRC="images/ps.gif" HEIGHT=18 WIDTH=16></A>
-            <A HREF="HELP.html">
-                    <IMG SRC="images/dvi.gif" HEIGHT=18 WIDTH=16></A>
-            <A HREF="HELP.html">
-               RTEMS Hitachi SH Applications Supplement</A>
+               RTEMS Texas Instruments C3x/C4x Applications Supplement</A>
+            </LI>
+
+        <LI><A HREF="HELP.html">
+                    <IMG SRC="images/pdf1.gif" HEIGHT=18 WIDTH=16></A>
+            <A HREF="HELP.html">
+                    <IMG SRC="images/ps.gif" HEIGHT=18 WIDTH=16></A>
+            <A HREF="HELP.html">
+                    <IMG SRC="images/dvi.gif" HEIGHT=18 WIDTH=16></A>
+            <A HREF="HELP.html">
+               RTEMS Hitachi H8/300 Applications Supplement</A>
             </LI>
 
@@ -207,14 +207,4 @@
             </LI>
 
-        <LI><A HREF="HELP.html">
-                    <IMG SRC="images/pdf1.gif" HEIGHT=18 WIDTH=16></A>
-            <A HREF="HELP.html">
-                    <IMG SRC="images/ps.gif" HEIGHT=18 WIDTH=16></A>
-            <A HREF="HELP.html">
-                    <IMG SRC="images/dvi.gif" HEIGHT=18 WIDTH=16></A>
-            <A HREF="HELP.html">
-               RTEMS MIPS64 ORION Applications Supplement</A>
-            </LI>
-
         <LI><A HREF="../pdf/m68k.pdf">
                     <IMG SRC="images/pdf1.gif" HEIGHT=18 WIDTH=16></A>
@@ -227,4 +217,24 @@
             </LI>
 
+        <LI><A HREF="../pdf/mips.pdf">
+                    <IMG SRC="images/pdf1.gif" HEIGHT=18 WIDTH=16></A>
+            <A HREF="../ps/mips.ps">
+                    <IMG SRC="images/ps.gif" HEIGHT=18 WIDTH=16></A>
+            <A HREF="../dvi/mips.dvi">
+                    <IMG SRC="images/dvi.gif" HEIGHT=18 WIDTH=16></A>
+            <A HREF="supplements/mips/index.html">
+               RTEMS MIPS Applications Supplement</A>
+            </LI>
+
+        <LI><A HREF="HELP.html">
+                    <IMG SRC="images/pdf1.gif" HEIGHT=18 WIDTH=16></A>
+            <A HREF="HELP.html">
+                    <IMG SRC="images/ps.gif" HEIGHT=18 WIDTH=16></A>
+            <A HREF="HELP.html">
+                    <IMG SRC="images/dvi.gif" HEIGHT=18 WIDTH=16></A>
+            <A HREF="HELP.html">
+               RTEMS OpenCores OR32 Applications Supplement</A>
+            </LI>
+
         <LI><A HREF="../pdf/powerpc.pdf">
                     <IMG SRC="images/pdf1.gif" HEIGHT=18 WIDTH=16></A>
@@ -237,4 +247,14 @@
             </LI>
 
+        <LI><A HREF="../pdf/sh.pdf">
+                    <IMG SRC="images/pdf1.gif" HEIGHT=18 WIDTH=16></A>
+            <A HREF="../ps/sh.ps">
+                    <IMG SRC="images/ps.gif" HEIGHT=18 WIDTH=16></A>
+            <A HREF="../dvi/sh.dvi">
+                    <IMG SRC="images/dvi.gif" HEIGHT=18 WIDTH=16></A>
+            <A HREF="supplements/sh/index.html">
+               RTEMS Hitachi SH Applications Supplement</A>
+            </LI>
+
         <LI><A HREF="../pdf/sparc.pdf">
                     <IMG SRC="images/pdf1.gif" HEIGHT=18 WIDTH=16></A>
@@ -247,4 +267,39 @@
             </LI>
 
+        <LI><A HREF="HELP.html">
+                    <IMG SRC="images/pdf1.gif" HEIGHT=18 WIDTH=16></A>
+            <A HREF="HELP.html">
+                    <IMG SRC="images/ps.gif" HEIGHT=18 WIDTH=16></A>
+            <A HREF="HELP.html">
+                    <IMG SRC="images/dvi.gif" HEIGHT=18 WIDTH=16></A>
+            <A HREF="HELP.html">
+               RTEMS UNIX Port Applications Supplement</A>
+            </LI>
+
+    </MENU>
+
+<LI>CPU Supplements for Secondary Ports
+
+  <MENU>
+        <LI><A HREF="HELP.html">
+                    <IMG SRC="images/pdf1.gif" HEIGHT=18 WIDTH=16></A>
+            <A HREF="HELP.html">
+                    <IMG SRC="images/ps.gif" HEIGHT=18 WIDTH=16></A>
+            <A HREF="HELP.html">
+                    <IMG SRC="images/dvi.gif" HEIGHT=18 WIDTH=16></A>
+            <A HREF="HELP.html">
+               RTEMS AMD 29K Applications Supplement</A>
+            </LI>
+
+        <LI><A HREF="HELP.html">
+                    <IMG SRC="images/pdf1.gif" HEIGHT=18 WIDTH=16></A>
+            <A HREF="HELP.html">
+                    <IMG SRC="images/ps.gif" HEIGHT=18 WIDTH=16></A>
+            <A HREF="HELP.html">
+                    <IMG SRC="images/dvi.gif" HEIGHT=18 WIDTH=16></A>
+            <A HREF="HELP.html">
+               RTEMS MIPS64 ORION Applications Supplement</A>
+            </LI>
+
         <LI><A HREF="../pdf/hppa1_1.pdf">
                     <IMG SRC="images/pdf1.gif" HEIGHT=18 WIDTH=16></A>
@@ -255,14 +310,4 @@
             <A HREF="supplements/hppa1_1/index.html">
                RTEMS Hewlett Packard PA-RISC Applications Supplement</A>
-            </LI>
-
-        <LI><A HREF="HELP.html">
-                    <IMG SRC="images/pdf1.gif" HEIGHT=18 WIDTH=16></A>
-            <A HREF="HELP.html">
-                    <IMG SRC="images/ps.gif" HEIGHT=18 WIDTH=16></A>
-            <A HREF="HELP.html">
-                    <IMG SRC="images/dvi.gif" HEIGHT=18 WIDTH=16></A>
-            <A HREF="HELP.html">
-               RTEMS UNIX Port Applications Supplement</A>
             </LI>
 
